Printago API
GET /v1/customizer/configs

List customizer configs

List all customizer configs for the store.

Requires: customizer.manage

Response Schema

Response
value
object[]

Example Response

200 OK — application/json
[
  {
    "configJson": {
      "viewBox": "string",
      "maskPath": "string",
      "colors": [
        {
          "value": "string",
          "alias": "string",
          "sourceMaterialVariantId": "string"
        }
      ],
      "finishes": [
        "string"
      ],
      "constraints": {},
      "defaults": {},
      "enabledFonts": [
        {
          "family": "string",
          "alias": "string"
        }
      ],
      "title": "string",
      "subtitle": "string",
      "instructionsText": "string",
      "theme": {
        "headingColor": "string",
        "buttonColor": "string",
        "accentColor": "string"
      },
      "backgroundSvg": {
        "storagePath": "string",
        "viewBox": "string",
        "widthMm": 1,
        "heightMm": 1,
        "sourceBbox": {
          "x": 1,
          "y": 1,
          "width": 1,
          "height": 1
        },
        "sourcePath": "string"
      },
      "colorsEnabled": true,
      "allowShapes": true,
      "shapesWarning": "string",
      "outline": {
        "enabledByDefault": true,
        "defaultColor": "string",
        "defaultWidthMm": 1,
        "minWidthMm": 1
      },
      "textures": {
        "label": "string",
        "defaultId": "string",
        "hiddenIds": [
          "string"
        ]
      }
    },
    "published": true,
    "skuIds": [
      "string"
    ],
    "id": "string",
    "storeId": "string",
    "createdAt": "2026-08-24T03:58:55.318Z",
    "updatedAt": "2026-08-24T03:58:55.318Z"
  }
]